{% extends 'base.html.twig' %}

{% block title %}Naruto Citations
{% endblock %}


{% block body %}

<!-- Navigation-->  <!-- Navigation-->
{{include('base/_nav.html.twig')}}
<!-- Masthead-->
<header class="masthead">
    <div class="container">
        
        <a class="btn btn-primary btn-xl text-uppercase p-2 shadow border border-dark" href="#services"> <strong>Découvre les citations du célèbre manga</strong></a>
    </div>
</header>

<!-- Citations-->
<section class="page-section" id="services">
<div class="container">
    <div class="row">
        <div class="col-12 m-4">
            <h2> Dernières citations postées</h2>
        </div>

{% for citation in citations %}
<div class="row p-4">
    <div class="col-12">
        <div class="card-group">
            <div class="card card-row shadow mb-4 rounded" data-aos="fade-right">
                <div class="row gx-0">
                    <a href="" class="col-12 col-md-6 bg-cover card-img-start aos-init aos-animate">
                        <img src="{{ asset('build/images/naruto.jpg')}}"  width="450px" height="250px">
                    </a>
                    <div class="col-12 col-md-6 mt-2">
                        <a href="" class="card-body text-decoration-none"> <h3>{{citation.personnages.fullName}}</h3> </a>
                        <p class="mb-0 text-muted">{{citation.description}}</p>
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>
{% endfor %}

        <h3><a class="btn btn-primary btn-xl col-6 text-uppercase p-2 shadow" href="{{path('app_citations')}}">Voir toutes les citations du manga >> </a></h3>

    </div>
</div>
</section>

 <!-- Personnages-->
<section class="page-section bg-light" id="portfolio">
<div class="container">
    <div class="text-center">
        <h2 class="section-heading text-uppercase">Vos personnsages préférés</h2>
    </div>
    <div class="row">
        {% for personnage in personnages %}
        <div class="col-md-4 " data-aos="fade-up">
            <div class="card-group">
                <div class="card mb-5" style="width: 18rem;">
                    <img class="card-img" src="{{ asset('build/images/naruto.jpg') }}" alt="Card image cap">
                    <div class="card-body">
                        <h5 class="card-title">{{personnage.fullName}}</h5>
                        <p class="card-text">du village de {{personnage.village}}</p>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
        <h3><a class="btn btn-primary btn-xl col-6 text-uppercase p-2 shadow" href="{{path('app_personnages')}}">Recherche les citations de tes personnages favoris >> </a></h3>
            </div>
</div>
</section>


<!-- Contribuer-->
<section class="page-section" id="contact">
    <div class="container">

        <div class="text-center">
            <h2 class="section-heading text-uppercase">Ajoute ta pierre à l'édifice</h2>
        </div>
        {{ form_start(form) }}
        <form id="contactForm" data-sb-form-api-token="API_TOKEN" method="post">
            <div class="row align-items-stretch mb-5">
                <div class="col-md-6">
                    <div class="form-group">
                        <!-- Personnages -->
                        {{ form_row(form.personnages) }}
                        <div class="invalid-feedback" data-sb-feedback="name:required">Ajoute un personnage.</div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group form-group-textarea mb-md-0">
                        <!-- Description-->
                            {{ form_row(form.description) }}
                        <div class="invalid-feedback" data-sb-feedback="message:required">Ajoute une description</div>
                    </div>
                </div>
            </div>
            <!-- Submit Button-->
            <div class="text-center"><button type="submit" class="btn btn-primary">Contribuer</button></div>
            {{ form_end(form) }}
        </form>
    </div>
</section>
</body>
</html>

{% endblock %}

